<?php

namespace App\Model;

class Construction extends UseScopeBaseModel
{
    protected $table = "construction"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const Model_type_one = 1; // 总部安装
    const Model_type_two = 2; // 分社网点安装
    public static $model_type = [
        self::Model_type_one,
        self::Model_type_two,
    ];

    public static $prefix = [
        self::Model_type_one => 'WO0.',
        self::Model_type_two => 'T9SH.',
    ];

    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//待确认
    const STATE_TWO = 2;//已确认
    public static $name = [
        self::STATE_ZERO => '未确认',
        self::STATE_ONE => '待确认',
        self::STATE_TWO => '已确认',
    ];
    const range_function = 'constructionRange';
}
