<?php

use Illuminate\Http\Request;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::any('wxSetUser', 'Api\WxController@setUser');
Route::any('wxSetMobile', 'Api\WxController@setMobile');
Route::any('wxLogin', 'Api\WxController@login');

Route::group(['middleware'=> ['checkWx']],function ($route){
    //文件上传统一方法
    $route->any('uploadFile', 'Api\FileUploadController@uploadFile');
    $route->any('saleOrderList', 'Api\WxController@saleOrderList');
    $route->any('checkAll', 'Api\CheckController@checkAll');

    //采购单
    $route->any('purchaseOrderList', 'Api\WxController@purchaseOrderList');
});
